import request from '@/utils/request'

// 查询计量设备信息列表
export function listMonitorInfo(query) {
  return request({
    url: '/base/monitorInfo/list',
    method: 'get',
    params: query
  })
}

// 查询计量设备信息详细
export function getMonitorInfo(objId) {
  return request({
    url: '/base/monitorInfo/' + objId,
    method: 'get'
  })
}

// 新增计量设备信息
export function addMonitorInfo(data) {
  return request({
    url: '/base/monitorInfo',
    method: 'post',
    data: data
  })
}

// 修改计量设备信息
export function updateMonitorInfo(data) {
  return request({
    url: '/base/monitorInfo',
    method: 'put',
    data: data
  })
}

// 删除计量设备信息
export function delMonitorInfo(objId) {
  return request({
    url: '/base/monitorInfo/' + objId,
    method: 'delete'
  })
}
